Loading...
Searching...
No Matches
osmo_i460_subchan Struct Reference

`#include <i460_mux.h>`

## Data Fields

struct osmo_i460_timeslot * | ts
enum osmo_i460_rate | rate
uint8_t | bit_offset
struct osmo_i460_subchan_demux | demux
struct osmo_i460_subchan_mux | mux

## Field Documentation

## bit_offset

uint8_t osmo_i460_subchan::bit_offset

Referenced by demux_subchan_extract_bits(), mux_subchan_provide_bits(), and osmo_i460_subchan_add().

## demux

struct osmo_i460_subchan_demux osmo_i460_subchan::demux

Referenced by alloc_bitbuf(), demux_subchan_append_bit(), osmo_i460_demux_in(), osmo_i460_subchan_add(), and subchan_reset().

## mux

struct osmo_i460_subchan_mux osmo_i460_subchan::mux

Referenced by mux_schan_provide_bit(), osmo_i460_mux_enqueue(), osmo_i460_subchan_add(), and subchan_reset().

## rate

enum osmo_i460_rate osmo_i460_subchan::rate

Referenced by demux_subchan_extract_bits(), find_unused_subchan_idx(), mux_subchan_provide_bits(), mux_timeslot_provide_bits(), osmo_i460_demux_in(), osmo_i460_subchan_add(), and subchan_reset().

## ts

struct osmo_i460_timeslot* osmo_i460_subchan::ts

Referenced by find_unused_subchan_idx(), mux_timeslot_provide_bits(), osmo_i460_mux_out(), osmo_i460_subchan_add(), and osmo_i460_ts_init().

The documentation for this struct was generated from the following file:

- include/osmocom/isdn/i460_mux.h